import { ReactNode } from 'react';
import React from 'react';
declare type BaseActions = {
    [key: string]: (payload: any) => void;
};
export declare class ActionPlugManager {
    listeners: Map<string, Set<(payload: any) => void>>;
    addListener(key: string, listener: (payload: any) => void): void;
    removeListener(key: string, listener: (payload: any) => void): void;
    dispatch(key: string, payload: any): void;
}
export declare type ActionPlug<T extends BaseActions> = {
    Boundary: React.FC<{
        children: ReactNode;
    }>;
    useActionHandlers: (handlers: Partial<T>) => void;
    useActions: () => T;
};
export declare function createActionPlug<T extends BaseActions>(): ActionPlug<T>;
export {};
